function [clabels,clabelsmatrix]=coefftypes(datadim,WTval,DecLevel,consmodes)
clabels={}; clabelsmatrix={};

if strcmp(WTval,'1D Continuous Wavelet Transform')
    for i=1:length(consmodes)
        levlabels{i}={['Mode ' num2str(consmodes(i)) ' - abs. wavelet coefficients']};
    end
    for i=1:length(consmodes)
        clabels{end+1}=levlabels{i}{1};
    end
    clabelsmatrix=clabels;
elseif strcmp(WTval,'1D Complex Wavelet Transform')
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Im lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:4
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Im lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:6
                clabels{end+1}=levlabels{i}{j};
            end
        end
        clabelsmatrix=clabels;
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 3'],...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - approx coeff. Im lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:8
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end
elseif (strcmp(WTval,'1D Discrete Fractional Wavelet Transform') || strcmp(WTval,'1D Discrete Fractional Wavelet Transform (causal)'))
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:2
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:4
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. Im lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:6
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end
elseif strcmp(WTval,'2D Complex Wavelet Transform')
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Im lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:8
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Im lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:14
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Re lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H Im lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. V Im lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D Im lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. Im lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:20
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end
elseif (strcmp(WTval,'2D Discrete Fractional Wavelet Transform') || strcmp(WTval,'2D Discrete Fractional Wavelet Transform (causal)'))
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:12
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:24
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 1']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 2']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Re lev. 3'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Re lev. 3']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Re lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Re lev. 3']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 Im lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 Im lev. 3'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 Im lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 Im lev. 3']...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 Im lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 Im lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:36
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end
elseif strcmp(WTval,'2D Discrete Multiwavelet Transform')
    for i=1:length(consmodes)
        levlabels{i}={['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 1'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 2'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 3'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 4'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 5'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 6'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 7'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 8'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 9'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 10'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 11'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 12'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 13'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 14'],...
            ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 15'], ['Mode ' num2str(consmodes(i)) ' - multiwavelet coeff. 16']};
        clabelsmatrix=[clabelsmatrix; levlabels{i}];
    end
    clabelsmatrix=clabelsmatrix';
    for i=1:length(consmodes)
        for j=1:16
            clabels{end+1}=levlabels{i}{j};
        end
    end
elseif strcmp(WTval,'2D Quincunx Wavelet Transform')
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:3
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:5
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 1'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 2'],...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:7
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end
elseif strcmp(WTval,'3D Complex Wavelet Transform')
    if strcmp(DecLevel,'1')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 4 lev. 1']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:32
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'2')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 4 lev. 2']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:60
                clabels{end+1}=levlabels{i}{j};
            end
        end
    elseif strcmp(DecLevel,'3')
        for i=1:length(consmodes)
            levlabels{i}={['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 1'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 2'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 1 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 1 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 1 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 1 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 1 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 1 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 1 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 2 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 2 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 2 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 2 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 2 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 2 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 2 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 3 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 3 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 3 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 3 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 3 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 3 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 3 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 1 4 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 2 4 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 3 4 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 4 4 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 5 4 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. 6 4 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - detail coeff. 7 4 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 1 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 2 lev. 3'], ...
                ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 3 lev. 3'], ['Mode ' num2str(consmodes(i)) ' - approx. coeff. 4 lev. 3']};
            clabelsmatrix=[clabelsmatrix; levlabels{i}];
        end
        clabelsmatrix=clabelsmatrix';
        for i=1:length(consmodes)
            for j=1:88
                clabels{end+1}=levlabels{i}{j};
            end
        end
    end    
else
    if datadim==1
        if strcmp(DecLevel,'1')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 1']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:2
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        elseif strcmp(DecLevel,'2')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 2']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:3
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        elseif strcmp(DecLevel,'3')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. lev. 3']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:4
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        end
    elseif datadim==2
        if strcmp(DecLevel,'1')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 1']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:4
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        elseif strcmp(DecLevel,'2')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 2'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 2']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:7
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        elseif strcmp(DecLevel,'3')
            for i=1:length(consmodes)
                levlabels{i}={['Mode ' num2str(consmodes(i)) ' - approx. coeff. lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 1'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 1'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 2'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 2'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. H lev. 3'],...
                    ['Mode ' num2str(consmodes(i)) ' - detail coeff. V lev. 3'], ['Mode ' num2str(consmodes(i)) ' - detail coeff. D lev. 3']};
                clabelsmatrix=[clabelsmatrix; levlabels{i}];
            end
            clabelsmatrix=clabelsmatrix';
            for i=1:length(consmodes)
                for j=1:10
                    clabels{end+1}=levlabels{i}{j};
                end
            end
        end
    elseif datadim==3
        if strcmp(DecLevel,'1')
            clabels={'approx. coeff. lev. 1', 'detail coeff. 1 lev. 1',...
                'detail coeff. 2 lev. 1', 'detail coeff. 3 lev. 1'...
                'detail coeff. 4 lev. 1', 'detail coeff. 5 lev. 1'...
                'detail coeff. 6 lev. 1', 'detail coeff. 7 lev. 1'};
            clabelsmatrix=clabels';
        elseif strcmp(DecLevel,'2')
            clabels={'approx. coeff. lev. 2', 'detail coeff. 1 lev. 2',...
                'detail coeff. 2 lev. 2', 'detail coeff. 3 lev. 2'...
                'detail coeff. 4 lev. 2', 'detail coeff. 5 lev. 2'...
                'detail coeff. 6 lev. 2', 'detail coeff. 7 lev. 2'...
                'detail coeff. 1 lev. 1',...
                'detail coeff. 2 lev. 1', 'detail coeff. 3 lev. 1'...
                'detail coeff. 4 lev. 1', 'detail coeff. 5 lev. 1'...
                'detail coeff. 6 lev. 1', 'detail coeff. 7 lev. 1'};
            clabelsmatrix=clabels';
        elseif strcmp(DecLevel,'3')
            clabels={'approx. coeff. lev. 3', 'detail coeff. 1 lev. 3',...
                'detail coeff. 2 lev. 3', 'detail coeff. 3 lev. 3'...
                'detail coeff. 4 lev. 3', 'detail coeff. 5 lev. 3'...
                'detail coeff. 6 lev. 3', 'detail coeff. 7 lev. 3'...
                'detail coeff. 1 lev. 2',...
                'detail coeff. 2 lev. 2', 'detail coeff. 3 lev. 2'...
                'detail coeff. 4 lev. 2', 'detail coeff. 5 lev. 2'...
                'detail coeff. 6 lev. 2', 'detail coeff. 7 lev. 2'...
                'detail coeff. 1 lev. 1',...
                'detail coeff. 2 lev. 1', 'detail coeff. 3 lev. 1'...
                'detail coeff. 4 lev. 1', 'detail coeff. 5 lev. 1'...
                'detail coeff. 6 lev. 1', 'detail coeff. 7 lev. 1'};
            clabelsmatrix=clabels';
        end
    end
end
